Log an interest rate adjustment

This request logs an interest rate adjustment on a line of credit account.

   Click here to learn more about this request

Interest rate adjustments change the interest rate on a line of credit account. Note the following when using this request:

The date parameter acts as an apply date. The new interest rate will kick in on this date.

Interest rate adjustments cannot be applied before the account's open date and cannot be applied in previous billing cycles.

ℹ️

This request interacts with Compliance Guardrails.

Compliance Guardrails are a LoanPro feature that helps ensure actions taken on accounts are done so compliantly with lending laws. Once configured, these guardrails are applied to a line of credit program, ensuring all accounts within that program adhere to the same compliance standards.

Guardrails are configurable, allowing you to set rule criteria for which accounts should either result in a warning or an error. If your request attempt is flagged by a guardrail, a 409 response code is returned along with one of the following responses:

{
    "error": {
        "message": "",
        "type": "GuardrailEvaluationException",
        "code": 409
    },
    "warnings": [
        "<p>CARD Act Warning: This is a configurable warning message.</p>"
    ]
}
{
    "error": {
        "message": "CARD Act Compliance: This is a configurable error message.",
        "type": "GuardrailEvaluationException",
        "code": 409
    }
}

Guardrail flags can be ignored for testing purposes by adding "ignoreGuardrailWarnings": true to the payload of this request.

Database

For information regarding Line of Credit database tables, see the following articles:

Database – Line of Credit Interest Rate Adjustment (line_of_credit_interest_rate_adjustment_entity

Database – Line of Credit Account (line_of_credit_entity)

{
    "lineOfCreditId": 938289,
    "bucketId": 1,
    "date": "2023-10-30",
    "title": "Interest Rate Increase",
    "newRate": 24.99,
    "ignoreGuardrailWarnings": false
}
Body Params
int32
required

The ID of the line of credit account on which the adjustment will be logged.

int32
required

The ID of the Bucket to which the interest rate adjust will apply.

date
required

The date on which the interest rate adjustment will apply.
> Formatted as YYYY-MM-DD

string
required

The title of the adjustment.
> Limited to 255 characters

float
required

The account's new interest rate.

boolean

Optional field that bypasses warnings and errors provided by Compliance Guardrails. See the learn more section above to learn about Compliance Guardrails.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json